Automations

Automations API

1.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
httpAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Retrieve automations

Filter automations by metaproperty actions. Requires a metaproperty_id, optionally accepts one or more comma separated option_ids.

get
https://{your-bynder-domain}/api/1/automation/automations

Query Parameters

limitinteger(int32)

Maximum number of items to return

Default:20

>= 1<= 1000

startstring

Starting string for pagination

actionTypestring

Filter automations by action type

Allowed values:SHOW_OPTIONSHOW_METAPROPERTYPREFILLEMPTYSELECTDESELECT

conditionTypestring

Filter automations by condition type

Allowed values:ALLANYANY_OPTION

actionsOnstring

Filter automations by actions on metaproperty and optionIds. Format: metapropertyId or metapropertyId;optionId,optionId. Ensure to add ; to separate the metapropertyId and the optionId when using this filter.

triggersOnstring

Filter automations by triggers on metaproperty and optionIds. Format: metapropertyId or metapropertyId;optionId,optionId. Ensure to add ; to separate the metapropertyId and the optionId when using this filter.

Headers

x-api-correlation-idstring

Response

application/json
automationsarray[object]
Show Child Parameters
metadataobject
Show Child Parameters
get/api/1/automation/automations
 
application/json

Create automation

Create a new automation. Make sure to use one of the supported bodies listed in the cURL request examples. E.g. ShowOptionAll, DenyDownloads, etc.

post
https://{your-bynder-domain}/api/1/automation/automations

Headers

x-api-correlation-idstring

Body

application/json
actionTypestringrequired

Allowed values:SHOW_OPTIONSHOW_METAPROPERTYPREFILLEMPTYSELECTDESELECT

actionsOnarray[object]required
Show Child Parameters
conditionTypestringrequired

Allowed values:ALLANYANY_OPTION

triggerTypestring

Allowed values:SELECTED

triggersOnarray[object]required
Show Child Parameters

Response

application/json
automationIdstring(uuid)required
messagestringrequired
post/api/1/automation/automations

Body

{ "actionType": "SELECT", "actionsOn": [ { "value": "watermark" } ], "conditionType": "ANY", "triggerType": "SELECTED", "triggersOn": [ { "metapropertyId": "00000000-0000-0000-0000-000000000000", "optionIds": [ "00000000-0000-0000-0000-000000000000" ] } ] }
 
application/json